html{
    font-size: 18px;
}
body {
    font-family: 'Montserrat', sans-serif;
}

.container {
    width : 90%;
    margin: 0 auto;
    padding:0;
}

.header {
    padding-top: 12px;
    padding-bottom: 12px;
    display        : flex;
    align-items    : center;
    justify-content: space-between;


    .btn_enter{
        .header_login{
            background-color: #EF781A;
            border:none;
        }
        .color-change{
            background-color: #00D008;
            border:none;
            margin-left:12px;
        }
    }
    .search {
        flex-grow: 2;

        input {
            margin-left        : 100px;
            padding            : 15px;
            width              : 400px;
            border-radius      : 3px;
            border             : 2px solid #323232;
            padding-left       : 30px;
            background-image   : url("../img/Vector.png");
            background-repeat  : no-repeat;
            background-position: 5px center;
        }
    }
}
.macdonalds{
    font-size:2rem;
    font-weight: 800;
    padding-top: 76px;
    padding-bottom: 30px;

}

.menu{
    padding-top:31px;
    ul{
    display: flex;
    padding-left: 0;
        li{
        list-style-type: none;
        margin-right: 25px;
            a{
                padding:5px;
                display: block;
                text-decoration: none;
                color: #7B7B7B;
            }
            a:hover{
                color: #343434;
                background-color: #C4C4C4;
                border-radius: 5px;
                transition: all .5s;

            }
        }
       
    }
}
p{
    padding-bottom:35px;
    font-weight: 700;
    font-size: 1.33rem;
    margin:0;
    margin-top: 31px;
}
main{
    background-color: #ECECEC;
    .modal-content{
        width:900px;
        padding: 40px 70px 40px 70px;
        margin-left: -200px;
        
    .modal-body{
        display:flex;
        flex-direction: column;
        padding:0px;
        .text{
            color: #999999;
            font-size: .8rem;
            font-weight: 600;
            padding-bottom: 15px;
        }
        .footer{
            width:100%;
            display: flex;
            flex-direction: row;
            justify-content: space-between;
            align-items: flex-start;
            
            .text{
                padding-left:50px;
                padding-bottom: 0;
            }
            .heart{
                display: flex;
                flex-direction: row;
                width:235px;
                padding: 0;
                color: #999999;
                font-size: .8rem;
                font-weight: 600;
                background-color:white;
                padding: 14px;
                box-sizing: border-box;
                text-align: left;
                border: none;
                box-shadow: 0px 0px 10px rgba(0, 0, 0, 0.25);
                border-radius: 10px;
                margin:0;
                
                

            /*   &::before{
                content:'';
                background-image: url(../img/Vector\ —\ копия\ 2.png);
                background-repeat: no-repeat;
                display: inline-block;
                width:40px;
                height:35px; 
                float: left;
            }*/
            .text{
                padding-left: 10px;
            }
            .btn{
                padding: 0;
                display: inline-block;
                input{
                    display: none;
                    &:checked +label::before{
                        content:"";
                        display: inline-block;
                        background-image: url("../img/Vector\ —\ копия\ 3.png");
                        
                    }
                }
                label{
                    &::before{
                        content: "";
                        display: inline-block;
                        background-image: url("../img/Vector\ —\ копия\ 2.png");
                        padding: 20px;
                        margin:0px;
                        background-repeat: no-repeat;
                        vertical-align: middle;
                 

                    }
                }
            }}
            .align {
                display: flex;
                flex-direction: row;
                justify-content: end;
                .qnty{
                    font-size: 1.33rem;
                    font-weight: 600;
                    &::after{
                        content: "-";
                        display: inline-block;
                        width:50px;
                        height:50px;
                        background: #FF6C01;
                        border-radius: 50%;
                        color:white;
                        text-align:center;
                        margin-left:5px;
                        }
                    &::before{
                        content: "+";
                        display: inline-block;
                        width:50px;
                        height:50px;
                        background: #FF6C01;
                        border-radius: 50%;
                        color:white;
                        text-align:center;
                        margin-right:5px;
                        }
                }
            }
                .color-change{
                    background: #FF6C01;
                    border:none;
                    margin-left: 35px;
                }
        }
        .modal-01{
            display: flex;
            flex-direction: row;
            justify-content: space-between;
           
            .img{
                padding-right:35px;
            }
            .description {
                padding-left:35px;
                .title{
                    font-size: 1.33rem;
                    font-weight: 800;
                    padding-bottom: 20px;
                }
                .text{
                    font-size: .8rem;
                    font-weight: 500;
                    padding-bottom: 50px;
                    color: black;
                }
                .checklist{
                    .checklist_title{
                        font-size: 1rem;
                        font-weight: 800;
                        padding-bottom: 22px;
                    }
                    .checklist-item{
                        font-size: .9rem;
                        font-weight: 500;
                        padding-bottom: 10px;
                        input{
                            display: none;
                            &:checked +label::before{
                                content:"✓";
                                height:100%;
                                background-color: #C4C4C4;
                                color:white;
                                line-height: 100%;
                                text-align: center;
                                
                            }
                        }
                        label{
                            &::before{
                                content: "";
                                width: 20px;
                                height: 20px;
                                border-radius: 20%;
                                border: 2px solid #999999;
                                display: inline-block;
                                vertical-align: middle;
                                margin-right: 5px;
                                
                            }
                        }
                    }
                }

            }
        }
    }}
    .main-block{
        display: flex;
        justify-content: space-between;
        .section{
            .grid{
            display: grid;
            grid-template-columns: repeat(3, 225px);
            grid-column-gap: 20px;
            grid-row-gap: 30px;
            box-sizing: border-box;
            .grid-item{
                display: block;
                border-radius: 5px 5px 5px 5px;
                box-shadow: 0 3px 6px rgba(0,0,0,0.2);
                background-color: white;
                overflow: hidden;
                &:hover .button-card {
                    display:block;
                    transition: all 2s;
                }
                .button-card{
                    display:none;
                    position: relative;
                        .color-change{
                        background-color: #FF6C01;
                        border: none;
                        position: absolute;
                        top:-55px;
                        left:27px;
                        font-size: .7rem;
                        font-weight:700;
                        }
                }
                .gen{
                    padding: 12px 27px 12px 27px;
                    display: flex;
                    flex-direction: column;
                    justify-content: space-between;
                    .title{
                        color:black;
                        padding-bottom: 12px;
                    }
                    .text{
                        color:#A1A1A1;
                        font-size: 0.55rem;
                        padding-bottom: 32px;
                    }
                    .align{
                        display: flex;
                        justify-content: space-between;
                        .likes{
                            display: inline-block;
                            input{
                                display: none;
                                &:checked ~ label::before{
                                    content:"";
                                    background-image:url("../img/Vector\ —\ копия\ 3.png");
                                }
                            }
                              label{
                                &:before{
                                    content:"";
                                    color: white;
                                    display: inline-block;
                                    width:100%;
                                    height:100%;
                                    background-image: url("../img/Vector\ —\ копия.png");
                                    background-repeat: no-repeat;
                                    margin: 0;
                                    padding: 12px 13px;
                                    vertical-align: middle;
                                }
                                
                              }
                        }
                    }
                }
            }
            }
        }
        .aside{ 
            padding-top:31px;
            width:400px;
            
        .order{
            background-color: white;
            padding:25px 16px 25px 16px;
            border-radius: 5px 5px 5px 5px;
            box-shadow: 0 3px 6px rgba(0,0,0,0.2);
            .order_header{
                padding-bottom:30px;
                padding-left:20px;
                font-size: 1rem;
                font-weight:500;
            }
            table{
                width:100%;
                font-size: .8rem;
                color:black;
                td{
                    vertical-align:top;
                    padding-bottom:30px;
                    padding-left:20px;
                }
                .list{
                    
                    font-size: .6rem;
                    color:#979797;
                    
                    ul{
                    padding:0;
                    margin: 0;
                    padding-left:10%;
                    }
                }
                .beforeafter{
                    font-size: 1rem;
                    &::after{
                        content: "-";
                        display: inline-block;
                        width:28px;
                        height:28px;
                        background: #FF6C01;
                        border-radius: 50%;
                        color:white;
                        text-align:center;
                        margin-left:5px;
                        }
                    &::before{
                        content: "+";
                        display: inline-block;
                        width:28px;
                        height:28px;
                        background: #FF6C01;
                        border-radius: 50%;
                        color:white;
                        text-align:center;
                        margin-right:5px;
                        }
                }
                .button-order{
                    padding-bottom: 0px;
                    padding-left:0px;
                    
                    .color-change{
                            background-color: #FF6C01;
                            border:none;
                            width:100%;
                            text-align:justify;
                            font-weight: 700;
                            font-size: 1rem;
                            

                        }
                    
                }
            }

        }
        }
    }
}
